package test;

import java.util.Properties;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import org.junit.Test;
import static junit.framework.Assert.*;

/**
 * @author hhildebrand
 * 
 */
public class TestRelationship {

    @Test
    public void testInverse() throws Exception {
        Properties properties = new Properties();
        properties.load(getClass().getResourceAsStream("/jpa.properties"));
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test",
                                                                          properties);
        EntityManager em = emf.createEntityManager();

        em.getTransaction().begin();

        Relationship r = new Relationship();
        r.setName("foo");

        em.persist(r);

        Relationship i = new Relationship();
        r.setName("bar");

        em.persist(i);

        r.setInverse(i);

        assertNotNull(r.getInverse());
        assertNotNull(i.getInverse());

        assertEquals(i, r.getInverse());
        assertEquals(r, i.getInverse());

        em.getTransaction().commit();
    }
}
