
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;


CREATE SCHEMA test;

ALTER SCHEMA test OWNER TO test;

CREATE SCHEMA testsequences;

ALTER SCHEMA testsequences OWNER TO test;

SET search_path = test, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

CREATE TABLE relationship (
    id bigint NOT NULL,
    name character varying NOT NULL, 
    inverse bigint NOT NULL
);

ALTER TABLE ONLY relationship
    ADD CONSTRAINT relationship_pkey PRIMARY KEY (id);

ALTER TABLE ONLY relationship
    ADD CONSTRAINT unique_inverses UNIQUE (inverse);

ALTER TABLE ONLY test.relationship
    ADD CONSTRAINT relationship_inverse_fkey FOREIGN KEY (inverse) REFERENCES test.relationship(id) ON UPDATE CASCADE DEFERRABLE INITIALLY DEFERRED;

ALTER TABLE test.relationship OWNER TO test;

CREATE SEQUENCE relationship_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;

ALTER TABLE test.relationship_id_seq OWNER TO test;

ALTER SEQUENCE relationship_id_seq OWNED BY relationship.id;

ALTER TABLE relationship ALTER COLUMN id SET DEFAULT nextval('relationship_id_seq'::regclass);

REVOKE ALL ON SEQUENCE relationship_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE relationship_id_seq FROM test;
GRANT ALL ON SEQUENCE relationship_id_seq TO test;
